typedef S16 V_type;          /* Type for voltage variables.                   Min: -32;      Max: 31.999;     Unit: V        Res: 1/1024  */
typedef S16 LoPress_type;    /* Type for low pressure variables.              Min: -32;      Max: 31.999;     Unit: bar      Res: 1/1024  */
typedef S16 HiPress_type;    /* Type for high pressure variables.             Min: -512;     Max: 511.984;    Unit: bar      Res: 1/64    */
typedef S16 AngSpd_type;     /* Type for rotational speed variables.          Min: -32768;   Max: 32767;      Unit: rpm      Res: 1       */
typedef S8  TempC_type;      /* Type for temperature (C) variables.          Min: -128;     Max: 127;        Unit: C       Res: 1       */
typedef S16 Perc_type;       /* Type for percentage variables.                Min: -128;     Max: 127.996;    Unit: %        Res: 1/256   */
typedef U16 HiFreq_type;     /* Type for high frequency variables.            Min: 0;        Max: 65535;      Unit: Hz;      Res: 1       */
typedef U16 Time_type;       /* Type for time variables.                      Min: 0;        Max: 63.999;     Unit: s        Res: 1/1024  */
typedef U16 TimeLong_type;   /* Type for long time variables.                 Min: 0;        Max: 1023.984;   Unit: s        Res: 1/64    */
typedef S16 Cur_type;        /* Type for current variables.                   Min: -32;      Max: 31.999;     Unit: A        Res: 1/1024  */
typedef U16 Timems_type;     /* Type for ms time variables.                   Min: 0;        Max: 63.999;     Unit: ms       Res: 1/1024  */
typedef S16 TempK_type;      /* Type for Kelvin temperature (K) variables.    Min: -32768;   Max: 32767;      Unit: K        Res: 1       */
typedef S16 FlowRate_type;   /* Type for flow rate variables.                 Min: -128;     Max: 127.996;    Unit: kg/h     Res: 1/256   */
typedef S16 HiFlowRate_type; /* Type for high flow rate variables.            Min: -1024;    Max: 1023.96875; Unit: kg/h;    Res: 1/32    */
typedef S16 Trq_type;        /* Type for torque variables.                    Min: -2048;    Max: 2047.9375;  Unit: Nm;      Res: 1/16    */
typedef U8  MulCorrn_type;   /* Type for multiplicative correction variables. Min: 0;        Max: 1.9921875;  Unit: adim;    Res: 1/128   */
typedef U16 KFilt_type;         /* Type for filter constant.                     Min: 0;        Max: 1.9999;     Unit: adim;    Res: 1/32768 */
